{SOLVED} VLC Upgraded (upstream) by Mistake

If none of the more specific forums is the right place to ask

{SOLVED} VLC Upgraded (upstream) by Mistake

Postby intellinux420 » 2019-06-11 08:10

uname -r : 4.19.0-5-amd64
I am using Debian Buster Testing RC1, amd64

I was using VLC which was installed using synaptic package manager.
Today I saw VLC in Upgraded (upstream) and upgraded it.
This uninstalled VLC. I was not able to find VLC anymore so i uninstalled everything related to VLC.
Now I tried to install VLC again but it is not showing up in synaptic package manager.
I downloaded the VLC file directly and tried to install it but this is the error:

Code: Select all
sudo apt install /home/i/Downloads/libvlc-bin_3.0.6-0+deb9u1_amd64.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'libvlc-bin' instead of '/home/i/Downloads/libvlc-bin_3.0.6-0+deb9u1_amd64.deb'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libvlc-bin : Depends: libvlc5 (>= 3.0.6) but it is not installable
E: Unable to correct problems, you have held broken packages.


Only VLC-data and VLC-\10n is available and I have already install it but they are not showing in my system.

Is there any way I can downgrade VLC and bring everything back to normal.
Last edited by intellinux420 on 2019-06-12 07:44, edited 1 time in total.
intellinux420
 
Posts: 18
Joined: 2018-11-14 09:23

Re: VLC Upgraded (upstream) by Mistake

Postby Head_on_a_Stick » 2019-06-11 09:10

intellinux420 wrote:I am using Debian Buster Testing RC1

No, you are using Debian buster, "RC1" was the installer candidate. I hope you submitted feedback about the installer to the Debian developers.

intellinux420 wrote:I was not able to find VLC anymore

Here it is: https://packages.debian.org/buster/vlc

A simulated installation went through on my Debian buster system (which was installed using the RC1 image) so you must have broken yours.

Can we see
Code: Select all
apt policy
User avatar
Head_on_a_Stick
 
Posts: 10382
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: VLC Upgraded (upstream) by Mistake

Postby intellinux420 » 2019-06-11 09:23

Package: vlc (3.0.7-1): I downloaded and tried to install but -
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'vlc' instead of '/home/i/Downloads/vlc_3.0.7-1_amd64.deb'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 vlc : Depends: vlc-bin (= 3.0.7-1) but it is not installable
       Depends: vlc-plugin-base (= 3.0.7-1) but it is not installable
       Depends: vlc-plugin-qt (= 3.0.7-1) but it is not installable
       Depends: vlc-plugin-video-output (= 3.0.7-1) but it is not installable
       Recommends: vlc-l10n (= 3.0.7-1) but it is not going to be installed
       Recommends: vlc-plugin-notify (= 3.0.7-1) but it is not installable
       Recommends: vlc-plugin-samba (= 3.0.7-1) but it is not installable
       Recommends: vlc-plugin-skins2 (= 3.0.7-1) but it is not installable
       Recommends: vlc-plugin-video-splitter (= 3.0.7-1) but it is not installable
       Recommends: vlc-plugin-visualization (= 3.0.7-1) but it is not installable
E: Unable to correct problems, you have held broken packages.


Sure
apt policy

Code: Select all
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://ftp.au.debian.org/debian buster/non-free all Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=non-free,b=all
     origin ftp.au.debian.org
 500 http://ftp.au.debian.org/debian buster/contrib all Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=contrib,b=all
     origin ftp.au.debian.org
 500 http://ftp.au.debian.org/debian buster/main all Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=main,b=all
     origin ftp.au.debian.org
Pinned packages:


Yes I will definitely send feedback.Dark theme was extra fun.
intellinux420
 
Posts: 18
Joined: 2018-11-14 09:23

Re: VLC Upgraded (upstream) by Mistake

Postby Head_on_a_Stick » 2019-06-11 09:32

Try
Code: Select all
# apt update
# apt install vlc

Post the output in full if it doesn't work.
User avatar
Head_on_a_Stick
 
Posts: 10382
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: VLC Upgraded (upstream) by Mistake

Postby intellinux420 » 2019-06-11 09:37

i@Debian:~$ sudo apt update
[sudo] password for i:
Hit:1 http://security.debian.org buster/updates InRelease
Get:2 http://ftp.au.debian.org/debian buster InRelease [163 kB]
Get:3 http://ftp.au.debian.org/debian buster-updates InRelease [46.8 kB]
Fetched 210 kB in 3s (81.2 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
i@Debian:~$ sudo apt install vlc
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package vlc is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
vlc-plugin-skins2

E: Package 'vlc' has no installation candidate
i@Debian:~$
intellinux420
 
Posts: 18
Joined: 2018-11-14 09:23

Re: VLC Upgraded (upstream) by Mistake

Postby Head_on_a_Stick » 2019-06-11 09:42

That's strange, the mirror you are using has the .deb :?

What does this say:
Code: Select all
apt policy vlc.

Be sure to include the dot at the end and please post the output in code tags, it will be lengthy.
User avatar
Head_on_a_Stick
 
Posts: 10382
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: VLC Upgraded (upstream) by Mistake

Postby intellinux420 » 2019-06-11 09:46

Code: Select all
i@Debian:~$ apt policy vlc.
vlc-bin:
  Installed: (none)
  Candidate: (none)
  Version table:
vlc-plugin-abi-3-0-0f:
  Installed: (none)
  Candidate: (none)
  Version table:
vlc-plugin-video-output:
  Installed: (none)
  Candidate: (none)
  Version table:
     3.0.6-1 -1
        100 /var/lib/dpkg/status
vlc-plugin-qt:
  Installed: (none)
  Candidate: (none)
  Version table:
vlc-plugin-skins2:
  Installed: (none)
  Candidate: (none)
  Version table:
     3.0.6-1 -1
        100 /var/lib/dpkg/status
vlc-l10n:
  Installed: (none)
  Candidate: 3.0.7-1
  Version table:
     3.0.7-1 500
        500 http://ftp.au.debian.org/debian buster/main all Packages
libvlc5:
  Installed: (none)
  Candidate: (none)
  Version table:
vlc-plugin-zvbi:
  Installed: (none)
  Candidate: (none)
  Version table:
libvlccore9:
  Installed: (none)
  Candidate: (none)
  Version table:
vlc-plugin-vlsub:
  Installed: (none)
  Candidate: 0.10.2-2
  Version table:
     0.10.2-2 500
        500 http://ftp.au.debian.org/debian buster/main all Packages
vlc-plugin-jack:
  Installed: (none)
  Candidate: (none)
  Version table:
vlc-data:
  Installed: 3.0.7-1
  Candidate: 3.0.7-1
  Version table:
 *** 3.0.7-1 500
        500 http://ftp.au.debian.org/debian buster/main all Packages
        100 /var/lib/dpkg/status
vlc-plugin-base:
  Installed: (none)
  Candidate: (none)
  Version table:
     3.0.6-1 -1
        100 /var/lib/dpkg/status
intellinux420
 
Posts: 18
Joined: 2018-11-14 09:23

Re: VLC Upgraded (upstream) by Mistake

Postby Head_on_a_Stick » 2019-06-11 10:06

Try the redirector instead:

https://deb.debian.org
User avatar
Head_on_a_Stick
 
Posts: 10382
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: VLC Upgraded (upstream) by Mistake

Postby intellinux420 » 2019-06-11 10:27

Thanks a lot for your time and energy!!!

So I added
deb http://deb.debian.org/debian unstable main
deb http://deb.debian.org/debian-debug unstable-debug main
deb http://deb.debian.org/debian-ports unstable main

and removed everything else from my sources.list
I updated and upgraded my system, bunch of applications got upgraded.

and yes, VLC (3.0.7) is now showing in synaptic package manager. I installed it and its running good (does not close and i have to use xkill every time but that use to happen from Stretch)

So now i am in Debian 10 unstable (sid).
I can stay on Sid that is not problem
Should I add any thing else in my sources.list (for security and other things).

one more thing
apt update is giving this error:
Code: Select all
i@Debian:~$ sudo apt update
Hit:1 http://deb.debian.org/debian unstable InRelease
Hit:2 http://deb.debian.org/debian-debug unstable-debug InRelease
Get:3 http://deb.debian.org/debian-ports unstable InRelease [55.3 kB]
Err:3 http://deb.debian.org/debian-ports unstable InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY DA1B2CEA81DCBC61
Reading package lists... Done
W: GPG error: http://deb.debian.org/debian-ports unstable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY DA1B2CEA81DCBC61
E: The repository 'http://deb.debian.org/debian-ports unstable InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
intellinux420
 
Posts: 18
Joined: 2018-11-14 09:23

Re: VLC Upgraded (upstream) by Mistake

Postby Head_on_a_Stick » 2019-06-11 10:35

intellinux420 wrote:So I added
deb http://deb.debian.org/debian unstable main
deb http://deb.debian.org/debian-debug unstable-debug main
deb http://deb.debian.org/debian-ports unstable main

and removed everything else from my sources.list
I updated and upgraded my system, bunch of applications got upgraded.

Why the **** did you do that? :?

The vlc package is available in buster, as I have mentioned several times.

And you don't need the debug or ports repositories, you'll just be hitting the servers unnecessarily with those lines in.

intellinux420 wrote:I can stay on Sid that is not problem

It will be a problem when buster is released and a flood of new packages hit sid, your machine will almost certainly break then and also subsequently on a semi-regular basis.

I strongly advise that you restore your backup and return to buster (with the deb.debian.org sources), it will be a much more reliable system.

intellinux420 wrote:Should I add any thing else in my sources.list (for security and other things).

The testing/unstable branches are not supported by the Security Team.
User avatar
Head_on_a_Stick
 
Posts: 10382
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: VLC Upgraded (upstream) by Mistake

Postby stevepusser » 2019-06-11 16:26

From your first post:

Code: Select all
sudo apt install /home/i/Downloads/libvlc-bin_3.0.6-0+deb9u1_amd64.deb


You were mixing Debian Stretch packages with Buster's. I bet you had other libvlc* problems due to mixing versions. You probably could have fixed it if you removed all vlc and libvlc packages and reinstalling from scratch, assuming vlc is the only program where you made this mistake.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Re: VLC Upgraded (upstream) by Mistake

Postby intellinux420 » 2019-06-12 07:04

Hmmmmm

Ok but now I have reinstalled Debian 10 Buster
Everything is working good.

I do not know any GUI application to make backup or to create a history to restore my system so I had to format the whole system.
Now my sources list contains:

Code: Select all
deb http://deb.debian.org/debian/ buster main contrib non-free
deb-src http://deb.debian.org/debian/ buster main contrib non-free

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free
intellinux420
 
Posts: 18
Joined: 2018-11-14 09:23

Re: VLC Upgraded (upstream) by Mistake

Postby Head_on_a_Stick » 2019-06-12 07:24

intellinux420 wrote:I do not know any GUI application to make backup or to create a history to restore my system so I had to format the whole system.

You really should organise some sort of backup strategy.

I wouldn't trust a GUI for something so important so I use this method:

https://wiki.archlinux.org/index.php/Rs ... tem_backup

We have had threads about backup techniques so a search of the boards should give you some idea of the other options available.

It's best to use the 3-2-1 backup method: three backups on two differnet media with one off-site copy.
User avatar
Head_on_a_Stick
 
Posts: 10382
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: VLC Upgraded (upstream) by Mistake

Postby intellinux420 » 2019-06-12 07:43

Will do that.

Thanks a lot
intellinux420
 
Posts: 18
Joined: 2018-11-14 09:23

Re: {SOLVED} VLC Upgraded (upstream) by Mistake

Postby stevepusser » 2019-06-12 19:50

Well, there is a GUI backup program in Buster that is dead simple to use called Timeshift, even I could use it.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Next

Return to General Questions

Who is online

Users browsing this forum: No registered users and 12 guests

fashionable
cron